Retrieving all invoices imported into Lucca Invoices to add them to the ERP requires some precautions, since invoices can be deleted. For this, the API endpoint to use is theDocumentation Index
Fetch the complete documentation index at: https://developers.lucca.fr/llms.txt
Use this file to discover all available pages before exploring further.
booked-documents.
?createdAt.from=filters out results to only return the ones that were created since your last sync attempt.?invoice.conformityStatesandcreditNote.conformityStates=Confirmedfilter out results to only return approved invoices.
This API is paginated, and the maximum number of items retrievable per page is 1000. The
?fields.root=count query parameter will request the server to return the total number of items across all pages.creditNote.conformityState query parameter in the API request.
Regarding amounts:
expectedAmount: theoretically expected amount (the order amount).costAmount: charge amount (case where VAT would not be recoverable).amountIncludingTaxes: object grouping the excluding taxes amount and VAT. This is the amount I recommend you use.
Amounts include both a
counter part (converted amount) and a base (original currency amount) in order to support foreign currencies.